Applets java

Le
Jo Engo
Naguère, je savais comment faire pour que les applets java s'exécutent
dans mon browser. Ça devrait me revenir, mais je ne dis pas non à un
petit coup de main.

1. Installer (un) JRE
2. il y a la méthode manuelle qui consiste à faire un lien symbolique
entre un certain fichier du JRE et un certain répertoire de firefox
3. Il y a une méthode automagique avec le bon pakage, mais alors le 1
n'est pas nécessaire vu que le 3 dépend du 1.

Je commence par le 1 et je viens voir si j'ai des réponses :)


--
I L A P
L U C A
A C U L
P A L I
-- Kastenbaum, Guy
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Eric Masson
Le #26467436
Jo Engo 'Lut,
Naguère, je savais comment faire pour que les applets java s'exécutent
dans mon browser. Ça devrait me revenir, mais je ne dis pas non à un
petit coup de main.
1. Installer (un) JRE
2. il y a la méthode manuelle qui consiste à faire un lien symbolique
entre un certain fichier du JRE et un certain répertoire de firefox
3. Il y a une méthode automagique avec le bon pakage, mais alors le 1
n'est pas nécessaire vu que le 3 dépend du 1.

Il me semble que le plugin java n'est plus supporté dans FF depuis la
version 52. Chromium a du initier le mouvement quelques temps
auparavant.
Cela risque donc d'être compliqué, mis à part avec une vieille version
ou un browser un peu exotique.
Sous Windows, il n'y a guère plus qu'IE qui supporte encore les applets,
la politique officielle d'Oracle est de basculer vers Java Webstart.
--
Je constate que à part ceux qui sont contre, ces 2 groupes rencontrent
un consensus. On est à 100% d'accord, excellent !
-+-GA in :
Dominique
Le #26467468
Le 15/03/2018 à 16:50, Eric Masson a écrit :
Il me semble que le plugin java n'est plus supporté dans FF depuis la
version 52. Chromium a du initier le mouvement quelques temps
auparavant.

C'est une certitude : FF ne supporte plus le plugin Java.
--
Dominique
Courriel : dominique point sextant ate orange en France
Esto quod es
Jo Engo
Le #26467475
Le Thu, 15 Mar 2018 19:10:06 +0100, Dominique a écrit :
Le 15/03/2018 à 16:50, Eric Masson a écrit :
Il me semble que le plugin java n'est plus supporté dans FF depuis la
version 52. Chromium a du initier le mouvement quelques temps
auparavant.

C'est une certitude : FF ne supporte plus le plugin Java.

J'ai Mozilla Firefox 52.7.0 donc c'est mort, c'est ça ? Et le CNRS est au
courant ? <http://dico.isc.cnrs.fr/dico/fr/calculc?
r031519_1521138473_89810430&v=chocolat&o=0&o=1&o=2&o=3&o=4&o=5&o=6&o=7&o=8&s=F&l=F&p&c1=2&c2=2&v=chocolat&send=Visualiser>
(firefox me demande d'activer Iced Tea Web, et au bout de quelques
minutes, j'ai la visualisation, donc je ne suis pas chocolat (mais
pendant quelques minutes, j'ai cru que je l'étais)
Conclusion : firefox peut toujours exécuter les applet via _un_ plugin
java, (iced tea) mais ça met de loongues secondes avant de démarrer (et
au bout de loongues secondes ça pose plein de questions auxquelles il
faut répondre yes (si on a confiance))
NB Java n'appartient pas plus à Oracle qu'il n'appartenait à Sun.
--
Tout le monde savait que c'était impossible.
Il est venu un imbécile qui ne le savait pas et qui l'a fait.
-+- Marcel Pagnol -+-
Eric Masson
Le #26467501
Jo Engo 'Re,
Conclusion : firefox peut toujours exécuter les applet via _un_ plugin
java, (iced tea) mais ça met de loongues secondes avant de démarrer (et
au bout de loongues secondes ça pose plein de questions auxquelles il
faut répondre yes (si on a confiance))

Apparemment, ce n'est pas un build de la fondation mozilla.
https://www.mozilla.org/en-US/firefox/52.0/releasenotes/
"Removed support for Netscape Plugin API (NPAPI) plugins other than
Flash. Silverlight, Java, Acrobat and the like are no longer supported.
"
Pour la raison invoquée par le projet :
https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/
NB Java n'appartient pas plus à Oracle qu'il n'appartenait à Sun.

Et ?
Oracle recommande juste de basculer vers Java Webstart (fichiers jnlp,
pris en charge par IcedTea-Web) du fait qu'une majorité de browsers ne
supporte plus les applets via NPAPI.
--
Ce que je comprends pas, c'est pourquoi leurs votes compte plus ?
Et surtout, ca leur rapporte QUOI ????
Putain faut vraiment être CON, grave.
-+- A in GNU - La Cabale, c'est plus FORT que toi ! -+-
docanski
Le #26467577
Jo Engo a écrit le 15/03/2018 à 19:36 :
Conclusion : firefox peut toujours exécuter les applet via _un_ plugin
java, (iced tea) mais ça met de loongues secondes avant de démarrer

Chez moi, icedtea installé, cela ne fonctionne pas du tout.
Avec Firefox, j'obtiens le message d'erreur "Failed to load
"libpepflashplayer.so" ... qui est absent dans les dépôts Debian.
Midori n'affiche rien : page blanche.
Chromium s'obstine à demander Adobe Flash Player, Qupzilla idem.
Ainsi, il est désormais impossible d'afficher une page telle que
https://marketviewer.equiduct.com/ :-(
--
docanski
Guide des champignons d'Europe : http://mycorance.free.fr/
La vallée de la Rance maritime : http://valderance.free.fr/
Les côtes du nord de la Bretagne : http://docarmor.free.fr/
Forum boursier : http://docanski.free.fr/boursomania/
Sergio
Le #26467587
Le 16/03/2018 à 11:27, docanski a écrit :
Conclusion : firefox peut toujours exécuter les applet via _un_ plugin
java, (iced tea) mais ça met de loongues secondes avant de démarrer

Chez moi, icedtea installé, cela ne fonctionne pas du tout.
Avec Firefox, j'obtiens le message d'erreur "Failed to load "libpepflashplayer.so" ... qui est absent dans les dépôts Debian.
Midori n'affiche rien : page blanche.
Chromium s'obstine à demander Adobe Flash Player, Qupzilla idem.
Ainsi, il est désormais impossible d'afficher une page telle que https://marketviewer.equiduct.com/ :-(

"Ça marche chez moi" avec Firefox, après 2 confirmations pour *Flash Player* (je ne vais pas loin, il demande un login...)
--
Serge http://cahierdesergio.free.fr/
Soutenez le libre: http://www.framasoft.org
docanski
Le #26467588
Sergio a écrit le 16/03/2018 à 11:52 :
Ainsi, il est désormais impossible d'afficher une page telle que
https://marketviewer.equiduct.com/ :-(

"Ça marche chez moi" avec Firefox, après 2 confirmations pour *Flash
Player* (je ne vais pas loin, il demande un login...)

Et donc tu dois avoir nécessairement installé le plugin d'Adobe ... qui
n'est évidemment pas dans les dépôts non plus. Et même en installant
pepperflashplugin-nonfree_1.7_amd64.deb le navigateur s'obstine à
vouloir ce plugin Adobe.
--
docanski
Guide des champignons d'Europe : http://mycorance.free.fr/
La vallée de la Rance maritime : http://valderance.free.fr/
Les côtes du nord de la Bretagne : http://docarmor.free.fr/
Forum boursier : http://docanski.free.fr/boursomania/
Doug713705
Le #26467594
Le 16-03-2018, docanski nous expliquait dans
fr.comp.os.linux.configuration
(
Sergio a écrit le 16/03/2018 à 11:52 :
Ainsi, il est désormais impossible d'afficher une page telle que
https://marketviewer.equiduct.com/ :-(

"Ça marche chez moi" avec Firefox, après 2 confirmations pour *Flash
Player* (je ne vais pas loin, il demande un login...)

Et donc tu dois avoir nécessairement installé le plugin d'Adobe ... qui
n'est évidemment pas dans les dépôts non plus. Et même en installant
pepperflashplugin-nonfree_1.7_amd64.deb le navigateur s'obstine à
vouloir ce plugin Adobe.

Et aller voir sur le site d'Adobe te semble hors de portée ?
https://get.adobe.com/fr/flashplayer/
--
Et nous avions des gueules à briser les miroirs,
À ne montrer nos yeux que dans le contre-jour,
Mais entre deux délires, entre deux idées noires,
Nous étions les plus beaux, nous vivions à rebours.
-- H.F. Thiéfaine, Exil Sur planète fantôme
docanski
Le #26467624
Doug713705 a écrit le 16/03/2018 à 12:35 :
Et aller voir sur le site d'Adobe te semble hors de portée ?
https://get.adobe.com/fr/flashplayer/

Meuh non, bien sûr et je l'avais d'ailleurs réinstallé un moment puis
désinstallé car je n'y tiens plus vu la répétition d'avertissements sur
les failles de sécurité.
Je cherche donc une alternative vu que de trop nombreux sites l'exigent
encore pour afficher leur contenu.
--
docanski
Guide des champignons d'Europe : http://mycorance.free.fr/
La vallée de la Rance maritime : http://valderance.free.fr/
Les côtes du nord de la Bretagne : http://docarmor.free.fr/
Forum boursier : http://docanski.free.fr/boursomania/
Sergio
Le #26467631
Le 16/03/2018 à 14:17, docanski a écrit :
Doug713705 a écrit le 16/03/2018 à 12:35 :
Et aller voir sur le site d'Adobe te semble hors de portée ?
https://get.adobe.com/fr/flashplayer/

Meuh non, bien sûr et je l'avais d'ailleurs réinstallé un moment puis désinstallé car je n'y tiens plus vu la répétition d'avertissements sur les failles de sécurité.
Je cherche donc une alternative vu que de trop nombreux sites l'exigent encore pour afficher leur contenu.

Pourtant simple :
- Installer le flash player "qui marche".
- Comme Firefox (Chrome aussi, je suppose) demande toujours de confirmer l'utilisation de Flash, pour les sites "sûrs", tu dis oui, pour les autres, tu dis non.
--
Serge http://cahierdesergio.free.fr/
Soutenez le libre: http://www.framasoft.org
Publicité
Poster une réponse
Anonyme